<?php namespace App\Http\Requests;
 
use Illuminate\Foundation\Http\FormRequest;
 
class EnseignantRequest extends FormRequest {
    public function rules() {
        return [
            'nom' => 'required|max:100',
            'prenom' => 'required|max:100',
            'civilite' => 'required',
            'email' => 'required',
            'discipline' => '',
            'tel_mobile' => '',
            'tel_fixe' => '',
        ];
    }
 

     public function attributes() {
        return [
            'nom' => 'Nom',
            'prenom' => 'Prénom',
            'email' => 'email',
            'civilite' => 'Civilité',
            'discipline' => 'Discipline',
            'tel_mobile' => 'Téléphone Mobile',
            'tel_fixe' => 'Téléphone Fixe',
        ];
    }


    public function authorize() {
        return true;
    }
}